Cross Project
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
GET | |
POST | |
GET | |
POST | |
GET | |
PATCH | |
DELETE | |
GET | |
PATCH | |
DELETE |
List all cross project dashboards
Dashboards the organization owns, holding insights from one or more projects.
Required API key scopes
cross_project_dashboard:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /organizations /:organization_id /cross_project_dashboardsExample response
Status 200
Create cross project dashboards
Dashboards the organization owns, holding insights from one or more projects.
Required API key scopes
cross_project_dashboard:writeRequest parameters
- namestring
- descriptionstringDefault:
- filters
Response
Example request
POST /api /organizations /:organization_id /cross_project_dashboardsExample response
Status 201
List all cross project dashboards tiles
Tiles on one cross-project dashboard, edited one at a time.
Writes are per tile rather than a whole-set replace, so two people editing the same dashboard cannot overwrite each other's tiles.
Required API key scopes
cross_project_dashboard:readPath parameters
- dashboard_idstring
Query parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /organizations /:organization_id /cross_project_dashboards /:dashboard_id /tilesExample response
Status 200
Create cross project dashboards tiles
Tiles on one cross-project dashboard, edited one at a time.
Writes are per tile rather than a whole-set replace, so two people editing the same dashboard cannot overwrite each other's tiles.
Required API key scopes
cross_project_dashboard:writePath parameters
- dashboard_idstring
Request parameters
- project_idinteger
- insight_idinteger
- layouts
- colorstring | null
- filters_overrides
Response
Example request
POST /api /organizations /:organization_id /cross_project_dashboards /:dashboard_id /tilesExample response
Status 201
Retrieve cross project dashboards tiles
Tiles on one cross-project dashboard, edited one at a time.
Writes are per tile rather than a whole-set replace, so two people editing the same dashboard cannot overwrite each other's tiles.
Required API key scopes
cross_project_dashboard:readPath parameters
- dashboard_idstring
- idstring
Response
Example request
GET /api /organizations /:organization_id /cross_project_dashboards /:dashboard_id /tiles /:idExample response
Status 200
Update cross project dashboards tiles
Tiles on one cross-project dashboard, edited one at a time.
Writes are per tile rather than a whole-set replace, so two people editing the same dashboard cannot overwrite each other's tiles.
Required API key scopes
cross_project_dashboard:writePath parameters
- dashboard_idstring
- idstring
Request parameters
- layouts
- colorstring | null
- filters_overrides
Response
Example request
PATCH /api /organizations /:organization_id /cross_project_dashboards /:dashboard_id /tiles /:idExample response
Status 200
Delete cross project dashboards tiles
Tiles on one cross-project dashboard, edited one at a time.
Writes are per tile rather than a whole-set replace, so two people editing the same dashboard cannot overwrite each other's tiles.
Required API key scopes
cross_project_dashboard:writePath parameters
- dashboard_idstring
- idstring
Example request
DELETE /api /organizations /:organization_id /cross_project_dashboards /:dashboard_id /tiles /:idExample response
Status 204 No response body
Retrieve cross project dashboards
Dashboards the organization owns, holding insights from one or more projects.
Required API key scopes
cross_project_dashboard:readPath parameters
- idstring
Response
Example request
GET /api /organizations /:organization_id /cross_project_dashboards /:idExample response
Status 200
Update cross project dashboards
Dashboards the organization owns, holding insights from one or more projects.
Required API key scopes
cross_project_dashboard:writePath parameters
- idstring
Request parameters
- namestring
- descriptionstringDefault:
- filters
Response
Example request
PATCH /api /organizations /:organization_id /cross_project_dashboards /:idExample response
Status 200
Delete cross project dashboards
Dashboards the organization owns, holding insights from one or more projects.
Required API key scopes
cross_project_dashboard:writePath parameters
- idstring
Example request
DELETE /api /organizations /:organization_id /cross_project_dashboards /:id




